package nsdb;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class NucFeaturePOATie
	extends NucFeaturePOA
{
	private NucFeatureOperations _delegate;

	private POA _poa;
	public NucFeaturePOATie(NucFeatureOperations delegate)
	{
		_delegate = delegate;
	}
	public NucFeaturePOATie(NucFeatureOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public nsdb.NucFeature _this()
	{
		return nsdb.NucFeatureHelper.narrow(_this_object());
	}
	public nsdb.NucFeature _this(org.omg.CORBA.ORB orb)
	{
		return nsdb.NucFeatureHelper.narrow(_this_object(orb));
	}
	public NucFeatureOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(NucFeatureOperations delegate)
	{
		_delegate = delegate;
	}
	public nsdb.NucFeaturePackage.Qualifier[] getQualifiers() throws type.NoResult
	{
		return _delegate.getQualifiers();
	}

	public type.DbXref[] getNucSeqs()
	{
		return _delegate.getNucSeqs();
	}

	public java.lang.String getFeatureId()
	{
		return _delegate.getFeatureId();
	}

	public nsdb.FeatureLocation getLocation() throws type.NoResult
	{
		return _delegate.getLocation();
	}

	public nsdb.NucFeaturePackage.Qualifier getQualifier(java.lang.String qualifier_name) throws type.NoResult,type.InvalidRelation
	{
		return _delegate.getQualifier(qualifier_name);
	}

	public int getFeatureVersion()
	{
		return _delegate.getFeatureVersion();
	}

	public java.lang.String getKey()
	{
		return _delegate.getKey();
	}

}
